using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;

namespace PlutoServer
{
    public partial class PlutoService : ServiceBase
    {
        public PlutoService()
        {
            InitializeComponent();

            // Log to the Application System Log
            this.EventLog.Log = "Application";
        }

        protected override void OnStart(string[] args)
        {
            ServerChannel.Activate();
        }

        protected override void OnStop()
        {
            ServerChannel.Deactivate();
        }
    }
}
